﻿namespace Phoenix.Presenter.Interfaces.Manager
{
    using System;

    using Phoenix.Helpers.Misc;
    using Phoenix.Model.Bll.Domain;
    using Phoenix.Presenter.Interfaces;

    /// <summary>
    /// Implements all features to be a picture manager
    /// </summary>
    public interface IPictureManagerPresenter : ISimpleInsertBox<Picture>, IManager
    {
        #region Events

        /// <summary>
        /// Occurs when a picture is deleted.
        /// </summary>
        event EventHandler<EventArgs<Picture>> Deleted;

        #endregion Events
    }
}