﻿namespace Phoenix.Presenter.Interfaces.Searcher
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    using Phoenix.Model.Bll.Domain;
    using Phoenix.Presenter.Interfaces.Interfaces;

    public interface IDrugSearchBox : ISearchBox<Drug>
    {
        #region Events

        /// <summary>
        /// Occurs when searcher is loading.
        /// </summary>
        event EventHandler Loading;

        #endregion Events

        #region Methods

        /// <summary>
        /// Sets the drug types.
        /// </summary>
        /// <param name="drugTypes">The drug types.</param>
        void SetDrugTypes(DrugType[] drugTypes);

        #endregion Methods
    }
}