﻿namespace Phoenix.Model.Bll.Interface
{
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;

    public interface IPathologicEventRepository : IRepository<PathologicEvent>
    {
        #region Methods

        /// <summary>
        /// Finds the pathologies of the specified type.
        /// </summary>
        /// <param name="type">The type.</param>
        /// <returns></returns>
        IList<Pathology> FindByType(PathologyType type);

        #endregion Methods
    }
}