﻿namespace Phoenix.Model.Bll.Interface
{
    using Phoenix.Model.Bll.Domain;

    public interface IPictureRepository : IRepository<Picture>
    {
        #region Methods

        /// <summary>
        /// Gets the picture with the specified id.
        /// </summary>
        /// <param name="id">The id.</param>
        /// <returns></returns>
        Picture GetById(long id);

        #endregion Methods
    }
}