﻿namespace Phoenix.Presenter.Interfaces.Manager
{
    using System;

    using Phoenix.Helpers.Misc;
    using Phoenix.Model.Bll.Domain;

    /// <summary>
    /// Represent the Gui to add new patient.
    /// </summary>
    public interface IPatientInserterPresenter
    {
        #region Events

        /// <summary>
        /// Occurs when a new patient is inserted.
        /// </summary>
        event EventHandler<EventArgs<Patient>> Inserted;

        #endregion Events
    }
}