﻿namespace Phoenix.Plugins.Host
{
    using Phoenix.Plugins.Host.Interfaces;

    public abstract class Plugin : IPlugable
    {
        #region Properties

        public abstract string MenuName
        {
            get;
        }

        public virtual string Name
        {
            get { return this.GetType().Name; }
        }

        #endregion Properties

        #region Methods

        public abstract void Execute();

        #endregion Methods
    }
}